DCMTK: DVPSCurve Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSCurve Class Reference

the representation of one Curve in a DICOM image. More...

## Public Member Functions
| DVPSCurve ()
| default constructor
| DVPSCurve (const DVPSCurve &copy)
| copy constructor
DVPSCurve * | clone ()
| clone method.
virtual | ~DVPSCurve ()
| destructor
OFCondition | read (DcmItem &dset, Uint8 group)
| reads a curve from a DICOM dataset.
Uint8 | getCurveGroup ()
| get group number of curve repeating group managed by this object.
size_t | getNumberOfPoints ()
| gets the number of points in the curve.
DVPSCurveType | getTypeOfData ()
| gets the type of data in the curve (ROI or POLY).
OFCondition | getPoint (size_t idx, double &x, double &y)
| gets one point from the curve data.
const char * | getCurveDescription ()
| gets the curve description string if present.
const char * | getCurveLabel ()
| gets the curve label string if present.
const char * | getCurveAxisUnitsX ()
| gets the curve axis units string for the X dimension if present.
const char * | getCurveAxisUnitsY ()
| gets the curve axis units string for the Y dimension if present.

## Private Member Functions
DVPSCurve & | operator= (const DVPSCurve &)
| private undefined assignment operator

## Private Attributes
Uint8 | curveGroup
| lower byte of the curve repeating group managed by this object
size_t | numberOfPoints
| number of points in curve data
DVPSCurveType | typeOfData
| type of curve data
double * | curveData
| curve data, converted to double
OFString | curveDescription
| curve data description if present
OFString | curveLabel
| curve label if present
OFString | axisUnitsX
| axis units X if present
OFString | axisUnitsY
| axis units Y if present

## Detailed Description

the representation of one Curve in a DICOM image.

## Member Function Documentation

## ◆ clone()

DVPSCurve * DVPSCurve::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSCurve object containing a copy of this object.

References DVPSCurve().

## ◆ getCurveAxisUnitsX()

const char * DVPSCurve::getCurveAxisUnitsX | ( |  | ) |
| inline

gets the curve axis units string for the X dimension if present.

If the string is absent, this method returns NULL or an empty string.

Returns
  curve description

References axisUnitsX.

## ◆ getCurveAxisUnitsY()

const char * DVPSCurve::getCurveAxisUnitsY | ( |  | ) |
| inline

gets the curve axis units string for the Y dimension if present.

If the string is absent, this method returns NULL or an empty string.

Returns
  curve description

References axisUnitsY.

## ◆ getCurveDescription()

const char * DVPSCurve::getCurveDescription | ( |  | ) |
| inline

gets the curve description string if present.

If the description string is absent, this method returns NULL or an empty string.

Returns
  curve description

References curveDescription.

## ◆ getCurveGroup()

Uint8 DVPSCurve::getCurveGroup | ( |  | ) |
| inline

get group number of curve repeating group managed by this object.

Returns
  the lower byte of the curve group

References curveGroup.

## ◆ getCurveLabel()

const char * DVPSCurve::getCurveLabel | ( |  | ) |
| inline

gets the curve label string if present.

If the label string is absent, this method returns NULL or an empty string.

Returns
  curve label

References curveLabel.

## ◆ getNumberOfPoints()

size_t DVPSCurve::getNumberOfPoints | ( |  | ) |
| inline

gets the number of points in the curve.

Returns
  number of points

References numberOfPoints.

## ◆ getPoint()

OFCondition DVPSCurve::getPoint | ( | size_t | idx,
|  | double & | x,
|  | double & | y )

gets one point from the curve data.

Parameters

  idx | index of the curve point, must be < getNumberOfPoints();
  x | upon success the x value of the point is returned in this parameter
  y | upon success the y value of the point is returned in this parameter

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ getTypeOfData()

DVPSCurveType DVPSCurve::getTypeOfData | ( |  | ) |
| inline

gets the type of data in the curve (ROI or POLY).

Returns
  type of data in curve

References typeOfData.

## ◆ read()

OFCondition DVPSCurve::read | ( | DcmItem & | dset,
|  | Uint8 | group )

reads a curve from a DICOM dataset.

The DICOM elements of the Graphic Object item are copied from the dataset to this object. The completeness of the curve (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the DICOM dataset from which the data is to be read
  group | lower byte of the curve repeating group to be read

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpscu.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1